connections_list
const url = 'https://example.com/api/connections';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/connections \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List information related to all Connection objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
Filter connections by plugin type
A search term.
Responses
Section titled “Responses”object
Lightweight serializer for connection list responses.
object
Serializer for handling connection-related data.
object
Return serialized data for a plugin object based on the plugin class.
Parameters
obj : Connection The object containing information about a plugin.
Returns
dict
An instance of the PluginSerializer class with the plugin
class obtained from get_plugin_class(obj.plugin)
and the context set to include the request from self.context.
object
Return the interactor information of the object’s creator.
Parameters
obj : Connection The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return the last edited time of an object’s credential for the current user.
Return the status of a credential object associated with a user.
Parameters
obj : Connection The object containing information related to the credential.
Returns
str A string representing the status of the credential. Returns “not_connected” if no credential is found or an empty string in case of an exception.
Determine whether the connection is a sandbox one.
Parameters
obj : Connection The object containing the plugin and shared parameters.
Returns
bool True if the connection uses a sandbox URL, False otherwise.
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}object
object
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter": "type", "code": "invalid", "message": "<parameter_value> does not exist." } ]}
